%define major 8
%define minor 1
%define patchlevel 1489

Name: vim
Version: %{major}.%{minor}
Release: 2
License: Vim
Summary: Vi IMproved
Url: http://www.vim.org

BuildRequires: ncurses-devel

Source0: https://github.com/vim/vim/archive/v%{version}.%{patchlevel}.tar.gz


%description
Vim is a highly configurable text editor built to make creating and changing any kind of text very efficient. It is included as "vi" with most UNIX systems and with Apple OS X.

Vim is rock stable and is continuously being developed to become even better. Among its features are:

- persistent, multi-level undo tree
- extensive plugin system
- support for hundreds of programming languages and file formats
- powerful search and replace
- integrates with many tools


%prep
%setup -q -n %{name}-%{version}.%{patchlevel}


%build

%configure \
  LDFLAGS="-maix${OBJECT_MODE} -Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L%{_libdir}" \
  --without-x \
  --without-gnome \
  --disable-gnome-check \
  --disable-motif-check \
  --disable-athena-check \
  --disable-gui \
  # end

# remove the shebang from demoserver.py, so we don't depend on Python
sed '1d' runtime/tools/demoserver.py > runtime/tools/demoserver.py.1
mv runtime/tools/demoserver.py.1 runtime/tools/demoserver.py

# Change shebang to point to the PASE sh
perl -p -i -e 's|/bin/sh|/QOpenSys/usr/bin/sh|' src/vimtutor

%make_build


%install

%make_install

rm -r %{buildroot}/%{_datadir}/icons %{buildroot}/%{_datadir}/applications || :

for f in fr it ja pl ru da de
do
  rm -r %{buildroot}%{_mandir}/${f}*
done

%files
%defattr(-, qsys, *none)

%{_bindir}/ex
%{_bindir}/view
%{_bindir}/rview
%{_bindir}/xxd
%{_bindir}/vimdiff
%{_bindir}/rvim
%{_bindir}/vimtutor
%{_bindir}/vim

%{_mandir}/man1/evim.1
%{_mandir}/man1/rvim.1
%{_mandir}/man1/xxd.1
%{_mandir}/man1/vimtutor.1
%{_mandir}/man1/vim.1
%{_mandir}/man1/rview.1
%{_mandir}/man1/view.1
%{_mandir}/man1/ex.1
%{_mandir}/man1/vimdiff.1

%{_datadir}/vim/vim%{major}%{minor}


%changelog
* Fri Jun 07 2019 Kevin Adler <kadler@us.ibm.com> - 8.1
- Add latest Vim patches inc. fix for CVE-2019-12735

* Fri May 18 2018 Kevin Adler <kadler@us.ibm.com> - 8.1
- Update to Vim 8.1

* Tue Nov 21 2017 Kevin Adler <kadler@us.ibm.com> - 8.0
- Fix shebangs to reduce dependencies on optional features